# Interface ICefBrowser

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefBrowser = interface(ICefBaseRefCounted)`

## Description

Interface used to represent a browser. When used in the browser process the functions of this interface may be called on any thread unless otherwise indicated in the comments. When used in the render process the functions of this interface may only be called on the main thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_browser_capi.h">CEF source file: /include/capi/cef_browser_capi.h (cef_browser_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefBrowser

## Overview

### Methods

| `function IsValid: boolean;`
| `function GetHost: ICefBrowserHost;`
| `function CanGoBack: Boolean;`
| `procedure GoBack;`
| `function CanGoForward: Boolean;`
| `procedure GoForward;`
| `function IsLoading: Boolean;`
| `procedure Reload;`
| `procedure ReloadIgnoreCache;`
| `procedure StopLoad;`
| `function GetIdentifier: Integer;`
| `function IsSame(const that: ICefBrowser): Boolean;`
| `function IsPopup: Boolean;`
| `function HasDocument: Boolean;`
| `function GetMainFrame: ICefFrame;`
| `function GetFocusedFrame: ICefFrame;`
| `function GetFrameByIdentifier(const identifier: ustring): ICefFrame;`
| `function GetFrameByName(const name: ustring): ICefFrame;`
| `function GetFrameCount: NativeUInt;`
| `function GetFrameIdentifiers(var aFrameIdentifiers : TStrings) : boolean;`
| `function GetFrameNames(var aFrameNames : TStrings) : boolean;`

### Properties

| `property MainFrame : ICefFrame read GetMainFrame;`
| `property FocusedFrame : ICefFrame read GetFocusedFrame;`
| `property FrameCount : NativeUInt read GetFrameCount;`
| `property Host : ICefBrowserHost read GetHost;`
| `property Identifier : Integer read GetIdentifier;`

## Description

### Methods

| `function IsValid: boolean;`
True if this object is currently valid. This will return false (0) after ICefLifeSpanHandler.OnBeforeClose is called. ###### Attributes GUID['{BA003C2E-CF15-458F-9D4A-FE3CEFCF3EEF}']

| `function GetHost: ICefBrowserHost;`
Returns the browser host object. This function can only be called in the browser process.

| `function CanGoBack: Boolean;`
Returns true (1) if the browser can navigate backwards.

| `procedure GoBack;`
Navigate backwards.

| `function CanGoForward: Boolean;`
Returns true (1) if the browser can navigate forwards.

| `procedure GoForward;`
Navigate forwards.

| `function IsLoading: Boolean;`
Returns true (1) if the browser is currently loading.

| `procedure Reload;`
Reload the current page.

| `procedure ReloadIgnoreCache;`
Reload the current page ignoring any cached data.

| `procedure StopLoad;`
Stop loading the page.

| `function GetIdentifier: Integer;`
Returns the globally unique identifier for this browser. This value is also used as the tabId for extension APIs.

| `function IsSame(const that: ICefBrowser): Boolean;`
Returns true (1) if this object is pointing to the same handle as |that| object.

| `function IsPopup: Boolean;`
Returns true (1) if the browser is a popup.

| `function HasDocument: Boolean;`
Returns true (1) if a document has been loaded in the browser.

| `function GetMainFrame: ICefFrame;`
Returns the main (top-level) frame for the browser. In the browser process this will return a valid object until after ICefLifeSpanHandler.OnBeforeClose is called. In the renderer process this will return NULL if the main frame is hosted in a different renderer process (e.g. for cross-origin sub-frames). The main frame object will change during cross-origin navigation or re-navigation after renderer process termination (due to crashes, etc).

| `function GetFocusedFrame: ICefFrame;`
Returns the focused frame for the browser.

| `function GetFrameByIdentifier(const identifier: ustring): ICefFrame;`
Returns the frame with the specified identifier, or NULL if not found.

| `function GetFrameByName(const name: ustring): ICefFrame;`
Returns the frame with the specified name, or NULL if not found.

| `function GetFrameCount: NativeUInt;`
Returns the number of frames that currently exist.

| `function GetFrameIdentifiers(var aFrameIdentifiers : TStrings) : boolean;`
Returns the identifiers of all existing frames.

| `function GetFrameNames(var aFrameNames : TStrings) : boolean;`
Returns the names of all existing frames.

### Properties

| `property MainFrame : ICefFrame read GetMainFrame;`
Returns the main (top-level) frame for the browser. In the browser process this will return a valid object until after ICefLifeSpanHandler.OnBeforeClose is called. In the renderer process this will return NULL if the main frame is hosted in a different renderer process (e.g. for cross-origin sub-frames). The main frame object will change during cross-origin navigation or re-navigation after renderer process termination (due to crashes, etc).

| `property FocusedFrame : ICefFrame read GetFocusedFrame;`
Returns the focused frame for the browser.

| `property FrameCount : NativeUInt read GetFrameCount;`
Returns the number of frames that currently exist.

| `property Host : ICefBrowserHost read GetHost;`
Returns the browser host object. This function can only be called in the browser process.

| `property Identifier : Integer read GetIdentifier;`
Returns the globally unique identifier for this browser. This value is also used as the tabId for extension APIs.

Generated by PasDoc 0.16.0-snapshot.